Index: libcfa/src/Makefile.in
===================================================================
--- libcfa/src/Makefile.in	(revision 69f15c7575575bc40b958875990a437ea22e8ca3)
+++ libcfa/src/Makefile.in	(revision 3d46f019e14e165242138c834ad1d93262fc1e1e)
@@ -139,17 +139,17 @@
 libcfa_la_LIBADD =
 am__libcfa_la_SOURCES_DIST = prelude.cfa startup.cfa interpose.cfa \
-	bits/debug.cfa assert.cfa exception.c virtual.c heap.cfa \
-	fstream.cfa iostream.cfa iterator.cfa limits.cfa rational.cfa \
-	time.cfa stdlib.cfa common.cfa containers/maybe.cfa \
+	bits/debug.cfa assert.cfa exception.c virtual.c common.cfa \
+	fstream.cfa heap.cfa iostream.cfa iterator.cfa limits.cfa \
+	rational.cfa time.cfa stdlib.cfa containers/maybe.cfa \
 	containers/pair.cfa containers/result.cfa \
 	containers/vector.cfa
 am__dirstamp = $(am__leading_dot)dirstamp
-@BUILDLIB_TRUE@am__objects_1 = fstream.lo iostream.lo iterator.lo \
-@BUILDLIB_TRUE@	limits.lo rational.lo time.lo stdlib.lo \
-@BUILDLIB_TRUE@	common.lo containers/maybe.lo \
+@BUILDLIB_TRUE@am__objects_1 = common.lo fstream.lo heap.lo \
+@BUILDLIB_TRUE@	iostream.lo iterator.lo limits.lo rational.lo \
+@BUILDLIB_TRUE@	time.lo stdlib.lo containers/maybe.lo \
 @BUILDLIB_TRUE@	containers/pair.lo containers/result.lo \
 @BUILDLIB_TRUE@	containers/vector.lo
 @BUILDLIB_TRUE@am__objects_2 = startup.lo interpose.lo bits/debug.lo \
-@BUILDLIB_TRUE@	assert.lo exception.lo virtual.lo heap.lo \
+@BUILDLIB_TRUE@	assert.lo exception.lo virtual.lo \
 @BUILDLIB_TRUE@	$(am__objects_1)
 am_libcfa_la_OBJECTS = prelude.lo $(am__objects_2)
@@ -236,13 +236,15 @@
   esac
 am__nobase_cfa_include_HEADERS_DIST = $(shell find $(srcdir)/stdhdr \
-	-type f -printf "%p ") fstream.hfa iostream.hfa iterator.hfa \
-	limits.hfa rational.hfa time.hfa stdlib.hfa common.hfa \
-	containers/maybe.hfa containers/pair.hfa containers/result.hfa \
-	containers/vector.hfa bitmanip.hfa math.hfa gmp.hfa time_t.hfa \
-	clock.hfa bits/align.hfa bits/containers.hfa bits/defs.hfa \
+	-type f -printf "%p ") common.hfa fstream.hfa heap.hfa \
+	iostream.hfa iterator.hfa limits.hfa rational.hfa time.hfa \
+	stdlib.hfa containers/maybe.hfa containers/pair.hfa \
+	containers/result.hfa containers/vector.hfa bitmanip.hfa \
+	exception.hfa math.hfa gmp.hfa time_t.hfa clock.hfa \
+	bits/align.hfa bits/containers.hfa bits/defs.hfa \
 	bits/debug.hfa bits/locks.hfa containers/list.hfa \
-	concurrency/coroutine.hfa concurrency/thread.hfa \
-	concurrency/kernel.hfa concurrency/monitor.hfa \
-	concurrency/mutex.hfa concurrency/invoke.h
+	containers/stackLockFree.hfa concurrency/coroutine.hfa \
+	concurrency/thread.hfa concurrency/kernel.hfa \
+	concurrency/monitor.hfa concurrency/mutex.hfa \
+	concurrency/invoke.h
 HEADERS = $(nobase_cfa_include_HEADERS)
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
@@ -464,13 +466,13 @@
 
 #----------------------------------------------------------------------------------------------------------------
-@BUILDLIB_TRUE@headers_nosrc = bitmanip.hfa math.hfa gmp.hfa time_t.hfa clock.hfa \
-@BUILDLIB_TRUE@		bits/align.hfa bits/containers.hfa bits/defs.hfa bits/debug.hfa bits/locks.hfa containers/list.hfa
+@BUILDLIB_TRUE@headers_nosrc = bitmanip.hfa exception.hfa math.hfa gmp.hfa time_t.hfa clock.hfa \
+@BUILDLIB_TRUE@		bits/align.hfa bits/containers.hfa bits/defs.hfa bits/debug.hfa bits/locks.hfa containers/list.hfa containers/stackLockFree.hfa
 
 @BUILDLIB_FALSE@headers = 
-@BUILDLIB_TRUE@headers = fstream.hfa iostream.hfa iterator.hfa limits.hfa rational.hfa time.hfa stdlib.hfa common.hfa \
+@BUILDLIB_TRUE@headers = common.hfa fstream.hfa heap.hfa iostream.hfa iterator.hfa limits.hfa rational.hfa time.hfa stdlib.hfa \
 @BUILDLIB_TRUE@		containers/maybe.hfa containers/pair.hfa containers/result.hfa containers/vector.hfa
 
 @BUILDLIB_FALSE@libsrc = 
-@BUILDLIB_TRUE@libsrc = startup.cfa interpose.cfa bits/debug.cfa assert.cfa exception.c virtual.c heap.cfa ${headers:.hfa=.cfa}
+@BUILDLIB_TRUE@libsrc = startup.cfa interpose.cfa bits/debug.cfa assert.cfa exception.c virtual.c ${headers:.hfa=.cfa}
 @BUILDLIB_FALSE@thread_headers_nosrc = 
 
